------------
-- ROGUE --
------------
if (not Watcher) then
    return;
end

if (select(2, UnitClass('player')) ~= "ROGUE") then
    return;
end


Watcher.classDefaults["ROGUE"] = {
    ["newDefaultDate"] = 1414354807;
    ["priorityLists"] = {
        [1] = {
            ["settings"] = {};
            ["spellConditions"] = {
                [1] = {
                    ["filterSetId"] = 10;
                    ["spellId"] = 5171;
                    ["name"] = "Slice and Dice";
                };
                [2] = {
                    ["filterSetId"] = 6;
                    ["spellId"] = 1943;
                    ["name"] = "Rupture";
                };
                [3] = {
                    ["filterSetId"] = 7;
                    ["spellId"] = 1943;
                    ["name"] = "Rupture";
                };
                [4] = {
                    ["filterSetId"] = 11;
                    ["spellId"] = 1943;
                    ["name"] = "Rupture";
                };
                [5] = {
                    ["filterSetId"] = 8;
                    ["spellId"] = 32645;
                    ["name"] = "Envenom";
                };
                [6] = {
                    ["filterSetId"] = 12;
                    ["spellId"] = 32645;
                    ["name"] = "Envenom";
                };
                [7] = {
                    ["filterSetId"] = 2;
                    ["spellId"] = 111240;
                    ["name"] = "Dispatch";
                };
                [8] = {
                    ["filterSetId"] = 1;
                    ["spellId"] = 1329;
                    ["name"] = "Mutilate";
                };
            };
            ["name"] = "Assassination";
            ["filters"] = {
                [1] = {
                    ["filterType"] = "spec";
                    ["specNum"] = 1;
                };
            };
        };
        [2] = {
            ["settings"] = {};
            ["spellConditions"] = {
                [1] = {
                    ["filterSetId"] = 21;
                    ["spellId"] = 8676;
                    ["name"] = "Ambush";
                };
                [2] = {
                    ["filterSetId"] = 17;
                    ["spellId"] = 84617;
                    ["name"] = "Revealing Strike";
                };
                [3] = {
                    ["filterSetId"] = 18;
                    ["spellId"] = 1752;
                    ["name"] = "Sinister Strike";
                };
                [4] = {
                    ["filterSetId"] = 10;
                    ["spellId"] = 5171;
                    ["name"] = "Slice and Dice";
                };
                [5] = {
                    ["filterSetId"] = 19;
                    ["spellId"] = 5171;
                    ["name"] = "Slice and Dice";
                };
                [6] = {
                    ["filterSetId"] = 20;
                    ["spellId"] = 2098;
                    ["name"] = "Eviscerate";
                };
            };
            ["name"] = "Combat";
            ["filters"] = {
                [1] = {
                    ["filterType"] = "spec";
                    ["specNum"] = 2;
                };
            };
        };
        [3] = {
            ["settings"] = {};
            ["spellConditions"] = {
                [1] = {
                    ["filterSetId"] = 21;
                    ["spellId"] = 8676;
                    ["name"] = "Ambush";
                };
                [2] = {
                    ["filterSetId"] = 10;
                    ["spellId"] = 5171;
                    ["name"] = "Slice and Dice";
                };
                [3] = {
                    ["filterSetId"] = 19;
                    ["spellId"] = 5171;
                    ["name"] = "Slice and Dice";
                };
                [4] = {
                    ["filterSetId"] = 7;
                    ["spellId"] = 1943;
                    ["name"] = "Rupture";
                };
                [5] = {
                    ["filterSetId"] = 11;
                    ["spellId"] = 1943;
                    ["name"] = "Rupture";
                };
                [6] = {
                    ["filterSetId"] = 20;
                    ["spellId"] = 2098;
                    ["name"] = "Eviscerate";
                };
                [7] = {
                    ["filterSetId"] = 23;
                    ["spellId"] = 16511;
                    ["name"] = "Hemorrhage";
                };
                [8] = {
                    ["filterSetId"] = 25;
                    ["spellId"] = 53;
                    ["name"] = "Backstab";
                };
            };
            ["name"] = "Subtlety";
            ["filters"] = {
                [1] = {
                    ["filterType"] = "spec";
                    ["specNum"] = 3;
                };
            };
        };
    };
    ["version"] = 1;
    ["spells"] = {
        [1752] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [15] = true;
                [18] = true;
            };
        };
        [1329] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [1] = true;
            };
        };
        [84617] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [14] = true;
                [17] = true;
            };
        };
        [32645] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [3] = true;
                [8] = true;
                [9] = true;
                [12] = true;
            };
        };
        [2098] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [16] = true;
                [20] = true;
            };
        };
        [5171] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [10] = true;
                [4] = true;
                [19] = true;
            };
        };
        [53] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [24] = true;
                [25] = true;
            };
        };
        [16511] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [22] = true;
                [23] = true;
            };
        };
        [111240] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [2] = true;
            };
        };
        [1943] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [5] = true;
                [6] = true;
                [7] = true;
                [11] = true;
            };
        };
        [8676] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [13] = true;
                [21] = true;
            };
        };
    };
    ["filterSets"] = {
        [1] = {
            ["settings"] = {};
            ["spellId"] = 1329;
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [2] = {
            ["settings"] = {};
            ["spellId"] = 111240;
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [3] = {
            ["settings"] = {};
            ["spellId"] = 32645;
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [4] = {
            ["settings"] = {};
            ["spellId"] = 5171;
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [5] = {
            ["settings"] = {};
            ["spellId"] = 1943;
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [6] = {
            ["settings"] = {};
            ["name"] = "If Not Present";
            ["spellId"] = 1943;
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["auraType"] = "HARMFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Rupture";
                    ["ifExists"] = false;
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["unit"] = "target";
                    ["trackStacks"] = false;
                    ["stackCount"] = 0;
                    ["remainingTime"] = 0;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
            };
        };
        [7] = {
            ["settings"] = {};
            ["name"] = "5CP";
            ["spellId"] = 1943;
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["value"] = 5;
                    ["resourceType"] = -1;
                    ["relationship"] = "At Least";
                    ["filterType"] = "secondaryResource";
                };
                [3] = {
                    ["auraType"] = "HARMFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Rupture";
                    ["ifExists"] = false;
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["unit"] = "target";
                    ["trackStacks"] = false;
                    ["stackCount"] = 0;
                    ["remainingTime"] = 5;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = true;
                };
            };
        };
        [8] = {
            ["settings"] = {};
            ["name"] = "5CP";
            ["spellId"] = 32645;
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["value"] = 5;
                    ["resourceType"] = -1;
                    ["relationship"] = "At Least";
                    ["filterType"] = "secondaryResource";
                };
                [3] = {
                    ["auraType"] = "HELPFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Envenom";
                    ["ifExists"] = false;
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["unit"] = "player";
                    ["trackStacks"] = false;
                    ["stackCount"] = 0;
                    ["remainingTime"] = 2;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = true;
                };
            };
        };
        [9] = {
            ["settings"] = {};
            ["spellId"] = 32645;
            ["name"] = "Envenom";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["value"] = 5;
                    ["resourceType"] = -1;
                    ["relationship"] = "At Least";
                    ["filterType"] = "secondaryResource";
                };
            };
        };
        [10] = {
            ["settings"] = {};
            ["name"] = "If Not Present";
            ["spellId"] = 5171;
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["auraType"] = "HELPFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Slice and Dice";
                    ["ifExists"] = false;
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["unit"] = "player";
                    ["trackStacks"] = false;
                    ["stackCount"] = 0;
                    ["remainingTime"] = 0;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
            };
        };
        [11] = {
            ["settings"] = {};
            ["spellId"] = 1943;
            ["name"] = "4CP (No Anticip)";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["talentNum"] = 19250;
                    ["invert"] = true;
                    ["filterType"] = "talent";
                };
                [3] = {
                    ["value"] = 5;
                    ["resourceType"] = -1;
                    ["relationship"] = "At Least";
                    ["filterType"] = "secondaryResource";
                };
            };
        };
        [12] = {
            ["settings"] = {};
            ["spellId"] = 32645;
            ["name"] = "4CP (No Anticip)";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["talentNum"] = 19250;
                    ["invert"] = true;
                    ["filterType"] = "talent";
                };
                [3] = {
                    ["value"] = 4;
                    ["resourceType"] = -1;
                    ["relationship"] = "At Least";
                    ["filterType"] = "secondaryResource";
                };
                [4] = {
                    ["auraType"] = "HELPFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Envenom";
                    ["unit"] = "player";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = false;
                    ["trackStacks"] = false;
                    ["stackCount"] = 0;
                    ["remainingTime"] = 2;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = true;
                };
            };
        };
        [13] = {
            ["settings"] = {};
            ["name"] = "Usable";
            ["spellId"] = 8676;
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [14] = {
            ["settings"] = {};
            ["name"] = "Usable";
            ["spellId"] = 84617;
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [15] = {
            ["settings"] = {};
            ["name"] = "Usable";
            ["spellId"] = 1752;
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [16] = {
            ["settings"] = {};
            ["name"] = "Usable";
            ["spellId"] = 2098;
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [17] = {
            ["settings"] = {};
            ["name"] = "Keep Debuff Up";
            ["spellId"] = 84617;
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["auraType"] = "HARMFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Revealing Strike";
                    ["unit"] = "target";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = false;
                    ["remainingTime"] = 3;
                    ["stackCount"] = 0;
                    ["trackStacks"] = false;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = true;
                };
            };
        };
        [18] = {
            ["settings"] = {};
            ["name"] = "Don't Overcap";
            ["spellId"] = 1752;
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["value"] = 4;
                    ["resourceType"] = -1;
                    ["relationship"] = "At Most";
                    ["filterType"] = "secondaryResource";
                };
            };
        };
        [19] = {
            ["settings"] = {};
            ["name"] = "5CP";
            ["spellId"] = 5171;
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["value"] = 5;
                    ["resourceType"] = -1;
                    ["relationship"] = "Equals";
                    ["filterType"] = "secondaryResource";
                };
                [3] = {
                    ["auraType"] = "HELPFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Slice and Dice";
                    ["unit"] = "player";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = false;
                    ["remainingTime"] = 10;
                    ["stackCount"] = 0;
                    ["trackStacks"] = false;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = true;
                };
            };
        };
        [20] = {
            ["settings"] = {};
            ["name"] = "5CP";
            ["spellId"] = 2098;
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["value"] = 5;
                    ["resourceType"] = -1;
                    ["relationship"] = "At Least";
                    ["filterType"] = "secondaryResource";
                };
            };
        };
        [21] = {
            ["settings"] = {};
            ["name"] = "If Stealth";
            ["spellId"] = 8676;
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["auraType"] = "HELPFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Stealth";
                    ["unit"] = "player";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = true;
                    ["remainingTime"] = 0;
                    ["stackCount"] = 0;
                    ["trackStacks"] = false;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
            };
        };
        [22] = {
            ["settings"] = {};
            ["name"] = "Usable";
            ["spellId"] = 16511;
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [23] = {
            ["settings"] = {};
            ["name"] = "Keep Bleed Up";
            ["spellId"] = 16511;
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["auraType"] = "HARMFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Hemorrhage";
                    ["unit"] = "target";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = false;
                    ["remainingTime"] = 0;
                    ["stackCount"] = 0;
                    ["trackStacks"] = false;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
            };
        };
        [24] = {
            ["settings"] = {};
            ["name"] = "Usable";
            ["spellId"] = 53;
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [25] = {
            ["settings"] = {};
            ["name"] = "Build CP";
            ["spellId"] = 53;
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["value"] = 4;
                    ["resourceType"] = -1;
                    ["relationship"] = "At Most";
                    ["filterType"] = "secondaryResource";
                };
            };
        };
    };
};
